Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4110)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4111)
@@ -57,5 +57,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.3.0.4105")]
-[assembly: AssemblyFileVersion("3.3.0.4105")]
-[assembly: AssemblyBuildDate("2010/07/26 18:06:56")]
+[assembly: AssemblyVersion("3.3.0.4107")]
+[assembly: AssemblyFileVersion("3.3.0.4107")]
+[assembly: AssemblyBuildDate("2010/07/27 12:52:47")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4110)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4111)
@@ -8,15 +8,22 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive-3.3", "HeuristicLab.Hive\3.3\HeuristicLab.Hive-3.3.csproj", "{C92AAC8C-4D88-449C-ABA5-2B935D769842}"
 	ProjectSection(ProjectDependencies) = postProject
+		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE} = {AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}
 		{55B89815-F3E7-4D09-9442-273F849141DD} = {55B89815-F3E7-4D09-9442-273F849141DD}
 		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84} = {4D5A2A16-66C2-431D-9AA3-BD3041E64B84}
 		{21187322-52DD-4243-80A4-A85F0263E63B} = {21187322-52DD-4243-80A4-A85F0263E63B}
+		{A84C0A25-13D0-40A6-924F-53556D9691DC} = {A84C0A25-13D0-40A6-924F-53556D9691DC}
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F} = {A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}
 		{D59E852C-F205-4647-8C05-EB9ED1CF44E9} = {D59E852C-F205-4647-8C05-EB9ED1CF44E9}
 		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C} = {CE2DFB48-6A9C-4507-96C6-5FC40E92035C}
+		{89F4BC52-C174-481E-9BD2-3814171020E8} = {89F4BC52-C174-481E-9BD2-3814171020E8}
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B} = {5CDACE54-5FB2-4344-A21C-963F63CB7C2B}
+		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E} = {8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}
+		{1605256A-1CB3-44AB-AAFF-577093EE5789} = {1605256A-1CB3-44AB-AAFF-577093EE5789}
 		{D17A4D6A-4CAA-4470-8A19-F42463C021FD} = {D17A4D6A-4CAA-4470-8A19-F42463C021FD}
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119} = {42A1D075-6C12-4DD9-B0C2-C6F5210A8119}
 		{679E977A-117B-456E-8594-2A4DEADB658B} = {679E977A-117B-456E-8594-2A4DEADB658B}
 		{9076697B-C151-46CD-95BC-1D059492B478} = {9076697B-C151-46CD-95BC-1D059492B478}
+		{5010BD86-23B7-4F8C-888A-76D21AD5266A} = {5010BD86-23B7-4F8C-888A-76D21AD5266A}
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313} = {4F15BEA2-F494-4584-A0E5-6BA85377B313}
 		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1} = {48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}
 		{C8FEDAC1-0326-4293-B585-F0FEDDEDFC11} = {C8FEDAC1-0326-4293-B585-F0FEDDEDFC11}
@@ -95,4 +102,8 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Security.ADODataAccess-3.3", "HeuristicLab.Security.ADODataAccess\3.3\HeuristicLab.Security.ADODataAccess-3.3.csproj", "{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Experiment-3.3", "HeuristicLab.Hive.Experiment\3.3\HeuristicLab.Hive.Experiment-3.3.csproj", "{A84C0A25-13D0-40A6-924F-53556D9691DC}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Experiment.Views-3.3", "HeuristicLab.Hive.Experiment.Views\3.3\HeuristicLab.Hive.Experiment.Views-3.3.csproj", "{4F15BEA2-F494-4584-A0E5-6BA85377B313}"
 EndProject
 Global
@@ -483,4 +494,30 @@
 		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|x86.ActiveCfg = Release|x86
 		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|x86.Build.0 = Release|x86
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|Mixed Platforms.Build.0 = Debug|x86
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|x64.ActiveCfg = Debug|x86
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|x86.ActiveCfg = Debug|x86
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|x86.Build.0 = Debug|x86
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|Any CPU.ActiveCfg = Release|x86
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|Mixed Platforms.Build.0 = Release|x86
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|x64.ActiveCfg = Release|x86
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|x86.ActiveCfg = Release|x86
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|x86.Build.0 = Release|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|Mixed Platforms.Build.0 = Debug|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|x64.ActiveCfg = Debug|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|x86.ActiveCfg = Debug|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|x86.Build.0 = Debug|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|Any CPU.ActiveCfg = Release|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|Mixed Platforms.Build.0 = Release|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|x64.ActiveCfg = Release|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|x86.ActiveCfg = Release|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -503,4 +540,6 @@
 		{21187322-52DD-4243-80A4-A85F0263E63B} = {84899895-AC52-4053-8A91-61753EF8E0A8}
 		{C92AAC8C-4D88-449C-ABA5-2B935D769842} = {84899895-AC52-4053-8A91-61753EF8E0A8}
+		{A84C0A25-13D0-40A6-924F-53556D9691DC} = {84899895-AC52-4053-8A91-61753EF8E0A8}
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313} = {84899895-AC52-4053-8A91-61753EF8E0A8}
 		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C} = {3721CE4A-1148-49E1-B8DD-D9F5309AB8D9}
 		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C} = {3721CE4A-1148-49E1-B8DD-D9F5309AB8D9}
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/HeuristicLab.Hive.Client.Communication-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/HeuristicLab.Hive.Client.Communication-3.3.csproj	(revision 4110)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/HeuristicLab.Hive.Client.Communication-3.3.csproj	(revision 4111)
@@ -79,4 +79,5 @@
       <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.Core-3.3.dll</HintPath>
     </Reference>
+    <Reference Include="HeuristicLab.DataAccess-3.3, Version=3.3.0.4091, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
       <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
@@ -148,8 +149,4 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.DataAccess\3.3\HeuristicLab.DataAccess-3.3.csproj">
-      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
-      <Name>HeuristicLab.DataAccess-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Hive.Client.Common\3.3\HeuristicLab.Hive.Client.Common-3.3.csproj">
       <Project>{89F4BC52-C174-481E-9BD2-3814171020E8}</Project>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/Properties/AssemblyInfo.cs	(revision 4110)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/Properties/AssemblyInfo.cs	(revision 4111)
@@ -57,5 +57,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.3.0.4091")]
-[assembly: AssemblyFileVersion("3.3.0.4091")]
-[assembly: AssemblyBuildDate("2010/07/26 18:07:12")]
+[assembly: AssemblyVersion("3.3.0.4107")]
+[assembly: AssemblyFileVersion("3.3.0.4107")]
+[assembly: AssemblyBuildDate("2010/07/27 14:15:11")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.ExecutionEngine/3.3/Executor.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.ExecutionEngine/3.3/Executor.cs	(revision 4110)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.ExecutionEngine/3.3/Executor.cs	(revision 4111)
@@ -55,11 +55,5 @@
     public void Start(byte[] serializedJob) {
       CreationTime = DateTime.Now;
-      //throw new NotImplementedException("TODO[chn] use persistency-3.3");
-      // Job = (IJob)PersistenceManager.RestoreFromGZip(serializedJob);
-
       Job = XmlParser.Deserialize<IJob>(new MemoryStream(serializedJob));
-
-      //debug
-      //Job = new TestJob();
 
       Job.JobStopped += new EventHandler(Job_JobStopped);
@@ -135,5 +129,5 @@
       CurrentMessage = MessageContainer.MessageType.NoMessage;
       JobIsFinished = false;
-      Job = new TestJob();
+      //Job = new TestJob();
     }
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/HeuristicLab.Hive.Engine-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/HeuristicLab.Hive.Engine-3.3.csproj	(revision 4110)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/HeuristicLab.Hive.Engine-3.3.csproj	(revision 4111)
@@ -97,7 +97,6 @@
       <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.Core-3.3.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.Data-3.3">
-      <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.Data-3.3.dll</HintPath>
-    </Reference>
+    <Reference Include="HeuristicLab.Data-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.DataAccess-3.3, Version=3.3.0.4091, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
     <Reference Include="HeuristicLab.Persistence-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
@@ -136,8 +135,4 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.DataAccess\3.3\HeuristicLab.DataAccess-3.3.csproj">
-      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
-      <Name>HeuristicLab.DataAccess-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Hive.Contracts\3.3\HeuristicLab.Hive.Contracts-3.3.csproj">
       <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/HiveEngine.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/HiveEngine.cs	(revision 4110)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/HiveEngine.cs	(revision 4111)
@@ -70,5 +70,5 @@
 
     //public OperatorGraph OperatorGraph {
-    //  get { return job.Engine.OperatorGraph; }
+    //  get { return currentJob.Engine.; }
     //}
 
@@ -76,8 +76,4 @@
     //  get { return job.Engine.GlobalScope; }
     //}
-
-    public TimeSpan ExecutionTime {
-      get { return job.Engine.ExecutionTime; }
-    }
 
     public ThreadPriority Priority {
@@ -86,51 +82,20 @@
     }
 
-    //public bool Running {
-    //  get { return job.Engine.ExecutionState == Core.ExecutionState.Started; }
-    //}
-
-    //public bool Canceled {
-    //  get { return job.Engine.Canceled; }
-    //}
-
-    //public bool Terminated {
-    //  get { return job.Engine.Terminated; }
-    //}
-
-    public ExecutionState ExecutionState {
-      get { return job.Engine.ExecutionState; }
-    }
-
-    protected override void ProcessNextOperation() {
-      var jobObj = CreateJobObj();
+    public new void Prepare(IOperation initialOperation) {
+      this.job.Prepare(initialOperation);
+      OnPrepared();
+    }
+
+    public override void Start() {
+      SerializedJob jobObj = CreateSerializedJob();
       IExecutionEngineFacade executionEngineFacade = ServiceLocator.CreateExecutionEngineFacade(HiveServerUrl);
 
       List<string> groups = new List<string>();
-      if (!String.Empty.Equals(RessourceIds)) {
+      if (!String.IsNullOrEmpty(RessourceIds)) {
         groups.AddRange(RessourceIds.Split(';'));
       }
 
-      /*if(!String.Empty.Equals(RessourceIds)) {
-        String[] ids = RessourceIds.Split(';');
-        foreach (string sid in ids) {        
-          try {
-            System.Guid gid = new Guid(sid);
-            jobObj.JobInfo.AssignedResourceIds.Add(gid);
-          } catch(Exception ex) {
-            
-          }   
-        }
-      } */
-
-      int loops = 1;
-
-      Int32.TryParse(MultiSubmitCount, out loops);
-      if (loops == 0)
-        loops = 1;
-
-      for (int i = 0; i < loops; i++) {
-        ResponseObject<Contracts.BusinessObjects.JobDto> res = executionEngineFacade.AddJobWithGroupStrings(jobObj, groups);
-        jobId = res.Obj.Id;
-      }
+      ResponseObject<JobDto> res = executionEngineFacade.AddJobWithGroupStrings(jobObj, groups);
+      jobId = res.Obj.Id;
 
       StartResultPollingThread();
@@ -165,4 +130,5 @@
         job = restoredJob;
 
+        // [chn] how to show the View in 3.3?
         //ControlManager.Manager.ShowControl(job.Engine.CreateView());
         //OnChanged();
@@ -174,14 +140,34 @@
     }
 
-    private HeuristicLab.Hive.Contracts.BusinessObjects.SerializedJob CreateJobObj() {
-      HeuristicLab.Hive.Contracts.BusinessObjects.JobDto jobObj = new HeuristicLab.Hive.Contracts.BusinessObjects.JobDto();
-
-      // create xml document with <Root> as root-node and the persisted job as child
+    public override void Pause() {
+      base.Pause();
+      if (job != null) {
+        IExecutionEngineFacade executionEngineFacade = ServiceLocator.CreateExecutionEngineFacade(HiveServerUrl);
+        executionEngineFacade.AbortJob(jobId);
+      }
+    }
+
+    public override void Stop() {
+      base.Stop();
+      if (job != null) {
+        IExecutionEngineFacade executionEngineFacade = ServiceLocator.CreateExecutionEngineFacade(HiveServerUrl);
+        executionEngineFacade.AbortJob(jobId);
+      }
+    }
+
+    /// <summary>
+    /// Creates a SerializedJob Object which contains the currentJob as binary array
+    /// and some metainfo about that job.
+    /// </summary>
+    private SerializedJob CreateSerializedJob() {
+      JobDto jobDto = new JobDto();
+
+      // serialize current job
       MemoryStream memStream = new MemoryStream();
       XmlGenerator.Serialize(job, memStream);
 
       // convert memStream to byte-array
-      HeuristicLab.Hive.Contracts.BusinessObjects.SerializedJob executableJobObj = new HeuristicLab.Hive.Contracts.BusinessObjects.SerializedJob();
-      executableJobObj.JobInfo = jobObj;
+      SerializedJob executableJobObj = new SerializedJob();
+      executableJobObj.JobInfo = jobDto;
       executableJobObj.SerializedJobData = memStream.ToArray();
 
@@ -195,72 +181,10 @@
         }).ToList();
 
-      jobObj.CoresNeeded = 1;
-      jobObj.PluginsNeeded = pluginsNeeded;
-      jobObj.State = HeuristicLab.Hive.Contracts.BusinessObjects.State.offline;
+      jobDto.CoresNeeded = 1;
+      jobDto.PluginsNeeded = pluginsNeeded;
+      jobDto.State = State.offline;
       return executableJobObj;
     }
 
-    /// <summary>
-    /// Returns a list of plugins in which the type itself and all members 
-    /// of the type are declared. Objectgraph is searched recursively.
-    /// </summary>
-    private IEnumerable<IPluginDescription> GetDeclaringPlugins(Type type) {
-      HashSet<Type> types = new HashSet<Type>();
-      FindTypes(type, types, "HeuristicLab.");
-      IEnumerable<IPluginDescription> plugins = from t in types
-                                                select ApplicationManager.Manager.GetDeclaringPlugin(t);
-      return plugins;
-    }
-
-    /// <summary>
-    /// Recursively finds all types used in type which are in a namespace which starts with namespaceStart
-    /// </summary>
-    /// <param name="type">the type to be searched</param>
-    /// <param name="types">found types will be stored there, needed in order to avoid duplicates</param>
-    /// <param name="namespaceStart">only types from namespaces which start with this will be searched and added</param>
-    private void FindTypes(Type type, HashSet<Type> types, string namespaceStart) {
-
-      // search is not performed on attributes
-
-      if (!types.Contains(type) && type.Namespace.StartsWith(namespaceStart)) {
-        types.Add(type);
-
-        // interfaces
-        foreach (Type t in type.GetInterfaces()) {
-          FindTypes(t, types, namespaceStart);
-        }
-
-        // events
-        foreach (EventInfo info in type.GetEvents()) {
-          FindTypes(info.EventHandlerType, types, namespaceStart);
-          FindTypes(info.DeclaringType, types, namespaceStart);
-        }
-
-        // properties
-        foreach (PropertyInfo info in type.GetProperties()) {
-          FindTypes(info.PropertyType, types, namespaceStart);
-        }
-
-        // fields
-        foreach (FieldInfo info in type.GetFields()) {
-          FindTypes(info.FieldType, types, namespaceStart);
-        }
-
-        // constructors : maybe constructors them out (?)
-        foreach (ConstructorInfo info in type.GetConstructors()) {
-          foreach (ParameterInfo paramInfo in info.GetParameters()) {
-            FindTypes(paramInfo.ParameterType, types, namespaceStart);
-          }
-        }
-
-        // methods
-        foreach (MethodInfo info in type.GetMethods()) {
-          foreach (ParameterInfo paramInfo in info.GetParameters()) {
-            FindTypes(paramInfo.ParameterType, types, namespaceStart);
-          }
-          FindTypes(info.ReturnType, types, namespaceStart);
-        }
-      }
-    }
 
     //public event EventHandler Initialized;
@@ -321,74 +245,140 @@
     //}
 
-    //public void Reset() {
-    //  abortRequested = false;
-
-    //  throw new NotImplementedException("[chn] how to reset Engine?");
-    //  //job.Engine.Reset();
-
-    //  jobId = Guid.NewGuid();
-    //  OnInitialized();
-    //}
-
-    //public void RequestSnapshot() {
-    //  IExecutionEngineFacade executionEngineFacade = ServiceLocator.CreateExecutionEngineFacade(HiveServerUrl);
-    //  int retryCount = 0;
-    //  ResponseObject<SerializedJob> response;
-    //  lock (locker) {
-    //    Logger.Debug("HiveEngine: Abort - RequestSnapshot");
-    //    Response snapShotResponse = executionEngineFacade.RequestSnapshot(jobId);
-    //    if (snapShotResponse.StatusMessage == ApplicationConstants.RESPONSE_JOB_IS_NOT_BEEING_CALCULATED) {
-    //      // job is finished already
-    //      Logger.Debug("HiveEngine: Abort - GetLastResult(false)");
-    //      response = executionEngineFacade.GetLastSerializedResult(jobId, false, false);
-    //      Logger.Debug("HiveEngine: Abort - Server: " + response.StatusMessage + " success: " + response.Success);
-    //    } else {
-    //      // server sent snapshot request to client
-    //      // poll until snapshot is ready
-    //      do {
-    //        Thread.Sleep(SNAPSHOT_POLLING_INTERVAL_MS);
-    //        Logger.Debug("HiveEngine: Abort - GetLastResult(true)");
-    //        response = executionEngineFacade.GetLastSerializedResult(jobId, false, true);
-    //        Logger.Debug("HiveEngine: Abort - Server: " + response.StatusMessage + " success: " + response.Success);
-    //        retryCount++;
-    //        // loop while
-    //        // 1. problem with communication with server
-    //        // 2. job result not yet ready
-    //      } while (
-    //        (retryCount < MAX_SNAPSHOT_RETRIES) && (
-    //        !response.Success ||
-    //        response.StatusMessage == ApplicationConstants.RESPONSE_JOB_RESULT_NOT_YET_HERE)
-    //        );
-    //    }
-    //  }
-    //  SerializedJob jobResult = response.Obj;
-    //  if (jobResult != null) {
-    //    Logger.Debug("HiveEngine: Results-polling - Got result!");
-
-    //    //job = (Job)PersistenceManager.RestoreFromGZip(jobResult.SerializedJobData);
-    //    //ControlManager.Manager.ShowControl(job.Engine.CreateView());
-    //    throw new NotImplementedException("TODO[chn]use persistency-3.3");
-    //  }
-    //  //HiveLogger.Debug("HiveEngine: Results-polling - Exception!");
-    //  //Exception ex = new Exception(response.Obj.Exception.Message);
-    //  //ThreadPool.QueueUserWorkItem(delegate(object state) { OnExceptionOccurred(ex); });
-    //}
-
-    //public override System.Xml.XmlNode GetXmlNode(string name, System.Xml.XmlDocument document, IDictionary<Guid, IStorable> persistedObjects) {
-    //  XmlNode node = base.GetXmlNode(name, document, persistedObjects);
-    //  XmlAttribute attr = document.CreateAttribute("HiveServerUrl");
-    //  attr.Value = HiveServerUrl;
-    //  node.Attributes.Append(attr);
-    //  node.AppendChild(PersistenceManager.Persist("Job", job, document, persistedObjects));
-    //  return node;
-    //}
-
-    //public override void Populate(System.Xml.XmlNode node, IDictionary<Guid, IStorable> restoredObjects) {
-    //  base.Populate(node, restoredObjects);
-    //  HiveServerUrl = node.Attributes["HiveServerUrl"].Value;
-    //  job = (Job)PersistenceManager.Restore(node.SelectSingleNode("Job"), restoredObjects);
-    //}
-
-
+    public void RequestSnapshot() {
+      if (job != null) {
+        IExecutionEngineFacade executionEngineFacade = ServiceLocator.CreateExecutionEngineFacade(HiveServerUrl);
+        int retryCount = 0;
+        ResponseObject<SerializedJob> response;
+        lock (locker) {
+          Logger.Debug("HiveEngine: Abort - RequestSnapshot");
+          Response snapShotResponse = executionEngineFacade.RequestSnapshot(jobId);
+          if (snapShotResponse.StatusMessage == ApplicationConstants.RESPONSE_JOB_IS_NOT_BEEING_CALCULATED) {
+            // job is finished already
+            Logger.Debug("HiveEngine: Abort - GetLastResult(false)");
+            response = executionEngineFacade.GetLastSerializedResult(jobId, false, false);
+            Logger.Debug("HiveEngine: Abort - Server: " + response.StatusMessage + " success: " + response.Success);
+          } else {
+            // server sent snapshot request to client
+            // poll until snapshot is ready
+            do {
+              Thread.Sleep(SNAPSHOT_POLLING_INTERVAL_MS);
+              Logger.Debug("HiveEngine: Abort - GetLastResult(true)");
+              response = executionEngineFacade.GetLastSerializedResult(jobId, false, true);
+              Logger.Debug("HiveEngine: Abort - Server: " + response.StatusMessage + " success: " + response.Success);
+              retryCount++;
+              // loop while
+              // 1. problem with communication with server
+              // 2. job result not yet ready
+            } while (
+              (retryCount < MAX_SNAPSHOT_RETRIES) && (
+              !response.Success ||
+              response.StatusMessage == ApplicationConstants.RESPONSE_JOB_RESULT_NOT_YET_HERE)
+              );
+          }
+
+        }
+        SerializedJob jobResult = response.Obj;
+        if (jobResult != null) {
+          Logger.Debug("HiveEngine: Results-polling - Got result!");
+
+          job = XmlParser.Deserialize<Job>(new MemoryStream(jobResult.SerializedJobData));
+
+          throw new NotImplementedException("[chn] how to create a view in 3.3 and why should i do this here? shouldnt the caller of this method receive a result and decide what to do?");
+          //ControlManager.Manager.ShowControl(job.Engine.CreateView());
+        }
+      }
+      //HiveLogger.Debug("HiveEngine: Results-polling - Exception!");
+      //Exception ex = new Exception(response.Obj.Exception.Message);
+      //ThreadPool.QueueUserWorkItem(delegate(object state) { OnExceptionOccurred(ex); });
+    }
+
+    protected override void ProcessNextOperation() {
+      throw new NotSupportedException();
+    }
+
+    #region Required Plugin Search
+    /// <summary>
+    /// Returns a list of plugins in which the type itself and all members 
+    /// of the type are declared. Objectgraph is searched recursively.
+    /// </summary>
+    private IEnumerable<IPluginDescription> GetDeclaringPlugins(Type type) {
+      HashSet<Type> types = new HashSet<Type>();
+      FindTypes(type, types, "HeuristicLab.");
+      return GetDeclaringPlugins(types);
+    }
+
+    /// <summary>
+    /// Returns the plugins (including dependencies) in which the given types are declared
+    /// </summary>
+    private IEnumerable<IPluginDescription> GetDeclaringPlugins(IEnumerable<Type> types) {
+      HashSet<IPluginDescription> plugins = new HashSet<IPluginDescription>();
+      foreach (Type t in types) {
+        FindDeclaringPlugins(ApplicationManager.Manager.GetDeclaringPlugin(t), plugins);
+      }
+      return plugins;
+    }
+
+    /// <summary>
+    /// Finds the dependencies of the given plugin and adds it to the plugins hashset.
+    /// Also searches the dependencies recursively.
+    /// </summary>
+    private void FindDeclaringPlugins(IPluginDescription plugin, HashSet<IPluginDescription> plugins) {
+      if (!plugins.Contains(plugin)) {
+        plugins.Add(plugin);
+        foreach (IPluginDescription dependency in plugin.Dependencies) {
+          FindDeclaringPlugins(dependency, plugins);
+        }
+      }
+    }
+
+    /// <summary>
+    /// Recursively finds all types used in type which are in a namespace which starts with namespaceStart
+    /// Be aware that search is not performed on attributes
+    /// </summary>
+    /// <param name="type">the type to be searched</param>
+    /// <param name="types">found types will be stored there, needed in order to avoid duplicates</param>
+    /// <param name="namespaceStart">only types from namespaces which start with this will be searched and added</param>
+    private void FindTypes(Type type, HashSet<Type> types, string namespaceStart) {
+      if (!types.Contains(type) && type.Namespace.StartsWith(namespaceStart)) {
+        types.Add(type);
+
+        // constructors
+        foreach (ConstructorInfo info in type.GetConstructors()) {
+          foreach (ParameterInfo paramInfo in info.GetParameters()) {
+            FindTypes(paramInfo.ParameterType, types, namespaceStart);
+          }
+        }
+
+        // interfaces
+        foreach (Type t in type.GetInterfaces()) {
+          FindTypes(t, types, namespaceStart);
+        }
+
+        // events
+        foreach (EventInfo info in type.GetEvents()) {
+          FindTypes(info.EventHandlerType, types, namespaceStart);
+          FindTypes(info.DeclaringType, types, namespaceStart);
+        }
+
+        // properties
+        foreach (PropertyInfo info in type.GetProperties()) {
+          FindTypes(info.PropertyType, types, namespaceStart);
+        }
+
+        // fields
+        foreach (FieldInfo info in type.GetFields()) {
+          FindTypes(info.FieldType, types, namespaceStart);
+        }
+
+        // methods
+        foreach (MethodInfo info in type.GetMethods()) {
+          foreach (ParameterInfo paramInfo in info.GetParameters()) {
+            FindTypes(paramInfo.ParameterType, types, namespaceStart);
+          }
+          FindTypes(info.ReturnType, types, namespaceStart);
+        }
+      }
+    }
+    #endregion
   }
 }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/Job.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/Job.cs	(revision 4110)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/Job.cs	(revision 4111)
@@ -30,4 +30,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.SequentialEngine;
 
 namespace HeuristicLab.Hive.Engine {
@@ -38,4 +39,9 @@
   public class Job : IJob {
     [Storable]
+    private IOperation initialOperation;
+    public IOperation InitialOperation {
+      get { return initialOperation; }
+    }
+
     private IEngine engine;
     public IEngine Engine {
@@ -45,7 +51,5 @@
     public Job()
       : base() {
-      
       engine = new SequentialEngine.SequentialEngine();
-      //engine.Priority = ThreadPriority.Lowest;
       RegisterEvents();
     }
@@ -93,5 +97,4 @@
       get {
         //DoubleValue progress = Engine.GlobalScope.GetVariableValue<DoubleData>("Progress", false, false); [chn] not possible in 3.3?
-
         return engine.ExecutionState == ExecutionState.Stopped ? 1.0 : 0.0;
       }
@@ -111,5 +114,5 @@
       throw new NotSupportedException();
     }
-
+    
     public void Start() {
       Engine.Start();
@@ -118,4 +121,9 @@
     public void Stop() {
       Engine.Stop();
+    }
+
+    public void Prepare(IOperation initialOperation) {
+      this.initialOperation = initialOperation;
+      Engine.Prepare(initialOperation);
     }
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/Properties/AssemblyInfo.cs	(revision 4111)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/Properties/AssemblyInfo.cs	(revision 4111)
@@ -0,0 +1,36 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Hive.Experiment-3.3")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("FH OOE")]
+[assembly: AssemblyProduct("HeuristicLab.Hive.Experiment-3.3")]
+[assembly: AssemblyCopyright("Copyright © FH OOE 2010")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("b89cec07-9515-4898-8cbf-24fea34b2635")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/Properties/AssemblyInfo.frame
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/Properties/AssemblyInfo.frame	(revision 4111)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/Properties/AssemblyInfo.frame	(revision 4111)
@@ -0,0 +1,59 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+using HeuristicLab.PluginInfrastructure;
+using System.Security;
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Hive.Experiment.Views")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+[assembly: AllowPartiallyTrustedCallers]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("9721605F-C79D-434a-8E42-C0A384477D53")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Revision and Build Numbers 
+// by using the '*' as shown below:
+[assembly: AssemblyVersion("3.3.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.0.$WCREV$")]
+[assembly: AssemblyBuildDate("$WCNOW$")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Properties/AssemblyInfo.cs	(revision 4111)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Properties/AssemblyInfo.cs	(revision 4111)
@@ -0,0 +1,36 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Hive.Experiment-3.3")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("FH OOE")]
+[assembly: AssemblyProduct("HeuristicLab.Hive.Experiment-3.3")]
+[assembly: AssemblyCopyright("Copyright © FH OOE 2010")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("b89cec07-9515-4898-8cbf-24fea34b2635")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Properties/AssemblyInfo.frame
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Properties/AssemblyInfo.frame	(revision 4111)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Properties/AssemblyInfo.frame	(revision 4111)
@@ -0,0 +1,59 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+using HeuristicLab.PluginInfrastructure;
+using System.Security;
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Hive.Experiment")]
+[assembly: AssemblyDescription("HeuristicLab experiment for distributed computation")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+[assembly: AllowPartiallyTrustedCallers]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("9721605F-C79D-434a-8E42-C0A384477D53")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Revision and Build Numbers 
+// by using the '*' as shown below:
+[assembly: AssemblyVersion("3.3.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.0.$WCREV$")]
+[assembly: AssemblyBuildDate("$WCNOW$")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/HeuristicLab.Hive.JobBase-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/HeuristicLab.Hive.JobBase-3.3.csproj	(revision 4110)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/HeuristicLab.Hive.JobBase-3.3.csproj	(revision 4111)
@@ -91,4 +91,5 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HeuristicLab.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
     <Reference Include="HeuristicLab.Core-3.3">
       <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.Core-3.3.dll</HintPath>
@@ -115,8 +116,6 @@
   <ItemGroup>
     <Compile Include="Interfaces\IJob.cs" />
-    <Compile Include="JobBase.cs" />
     <Compile Include="JobPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="TestJob.cs" />
   </ItemGroup>
   <ItemGroup>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/Interfaces/IJob.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/Interfaces/IJob.cs	(revision 4110)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/Interfaces/IJob.cs	(revision 4111)
@@ -9,4 +9,5 @@
     double Progress { get; }
     void Run();
+    void Prepare(IOperation initialOperation);
     void Start();
     void Stop();
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/JobPlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/JobPlugin.cs	(revision 4110)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/JobPlugin.cs	(revision 4111)
@@ -9,4 +9,5 @@
   [PluginFile("HeuristicLab.Hive.JobBase-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
   [PluginDependency("HeuristicLab.Persistence", "3.3")]
   public class JobBasePlugin: PluginBase {
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Properties/AssemblyInfo.cs	(revision 4110)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Properties/AssemblyInfo.cs	(revision 4111)
@@ -55,5 +55,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.3.0.4105")]
-[assembly: AssemblyFileVersion("3.3.0.4105")]
-[assembly: AssemblyBuildDate("2010/07/26 18:07:14")]
+[assembly: AssemblyVersion("3.3.0.4107")]
+[assembly: AssemblyFileVersion("3.3.0.4107")]
+[assembly: AssemblyBuildDate("2010/07/27 14:15:12")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Files.txt
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Files.txt	(revision 4110)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Files.txt	(revision 4111)
@@ -16,4 +16,6 @@
 
 HeuristicLab.Hive.Engine\3.3:HeuristicLab.Hive.Engine-3.3.dll
+HeuristicLab.Hive.Experiment\3.3:HeuristicLab.Hive.Experiment-3.3.dll
+HeuristicLab.Hive.Experiment.Views\3.3:HeuristicLab.Hive.Experiment.Views-3.3.dll
 HeuristicLab.Hive.JobBase\3.3:HeuristicLab.Hive.JobBase-3.3.dll
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Properties/AssemblyInfo.cs	(revision 4110)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Properties/AssemblyInfo.cs	(revision 4111)
@@ -51,4 +51,4 @@
 //      Revision
 //
-[assembly: AssemblyVersion("3.3.0.4105")]
-[assembly: AssemblyFileVersion("3.3.0.4105")]
+[assembly: AssemblyVersion("3.3.0.4107")]
+[assembly: AssemblyFileVersion("3.3.0.4107")]
